Package javassist.bytecode

# Class LineNumberAttribute.Pc

java.lang.Object
javassist.bytecode.LineNumberAttribute.Pc

Enclosing class:
  `LineNumberAttribute`

public static class LineNumberAttribute.Pc extends Object
Used as a return type of `toNearPc()`.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`index`
The index into the code array.
`int`
`line`
The line number.

## Constructor Summary

Constructors
Constructor
Description
`Pc()`

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### index

public int index
The index into the code array.

### line

public int line
The line number.

## Constructor Details

### Pc

public Pc()